Debian Bug report logs - #636856
libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl

version graph

Package: src:libnet-openid-consumer-perl; Maintainer for src:libnet-openid-consumer-perl is Dominic Hargreaves <dom@earth.li>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 6 Aug 2011 12:10:49 UTC

Severity: important

Found in version libnet-openid-consumer-perl/1.03-2

Fixed in version libnet-openid-consumer-perl/1.12-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=44766

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Sat, 06 Aug 2011 12:10:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Dominic Hargreaves <dom@earth.li>. (Sat, 06 Aug 2011 12:11:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Sat, 06 Aug 2011 14:05:36 +0200
Source: libnet-openid-consumer-perl
Version: 1.03-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition
Forwarded: http://rt.cpan.org/Ticket/Display.html?id=44766

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Note, this is known upstream at [2], which contains a possible
candidate for patching.

 [2] http://rt.cpan.org/Ticket/Display.html?id=44766

Regards,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Tue, 16 Aug 2011 18:54:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Dominic Hargreaves <dom@earth.li>. (Tue, 16 Aug 2011 18:54:27 GMT) Full text and rfc822 format available.

Message #10 received at 636856@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:34 GMT) Full text and rfc822 format available.

Added indication that bug 636856 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:15:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Thu, 18 Aug 2011 21:39:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Dominic Hargreaves <dom@earth.li>. (Thu, 18 Aug 2011 21:39:29 GMT) Full text and rfc822 format available.

Message #19 received at 636856@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Information forwarded to debian-bugs-dist@lists.debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Sat, 10 Sep 2011 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Dominic Hargreaves <dom@earth.li>. (Sat, 10 Sep 2011 08:54:04 GMT) Full text and rfc822 format available.

Message #24 received at 636856@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 636856@bugs.debian.org
Subject: Re: Bug#636856: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Sat, 10 Sep 2011 10:51:43 +0200
[Message part 1 (text/plain, inline)]
Hi Dominic

Is there something I could try to help, on this? It would be great to
have the libdigest-sha1-perl dependency droped. There are only few
packages remaining.

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=44766' from 'http://rt.cpan.org/Ticket/Display.html?id=44766' Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sat, 10 Sep 2011 14:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636856; Package src:libnet-openid-consumer-perl. (Sat, 17 Sep 2011 09:54:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. (Sat, 17 Sep 2011 09:54:26 GMT) Full text and rfc822 format available.

Message #31 received at 636856@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Salvatore Bonaccorso <carnil@debian.org>, 636856@bugs.debian.org
Subject: Re: Bug#636856: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Sat, 17 Sep 2011 10:52:22 +0100
On Sat, Sep 10, 2011 at 10:51:43AM +0200, Salvatore Bonaccorso wrote:
> Is there something I could try to help, on this? It would be great to
> have the libdigest-sha1-perl dependency droped. There are only few
> packages remaining.

I'm waiting for upstream action on
<https://rt.cpan.org/Ticket/Display.html?id=44766>, which fixes this
bug.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636856; Package src:libnet-openid-consumer-perl. (Tue, 08 Nov 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. (Tue, 08 Nov 2011 11:36:26 GMT) Full text and rfc822 format available.

Message #36 received at 636856@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Roger Crew <crew@cs.stanford.edu>
Cc: 636856@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#636856: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Tue, 8 Nov 2011 11:32:33 +0000
On Tue, Nov 08, 2011 at 03:26:00AM -0800, Roger Crew wrote:
> 
> On Sat, 17 Sep 2011 10:52:22 +0100 Dominic Hargreaves wrote:
> > On Sat, Sep 10, 2011 at 10:51:43AM +0200, Salvatore Bonaccorso wrote:
> >> Is there something I could try to help, on this? It would be great to
> >> have the libdigest-sha1-perl dependency droped. There are only few
> >> packages remaining.
> >
> > I'm waiting for upstream action on
> > <https://rt.cpan.org/Ticket/Display.html?id=44766>,
> > which fixes this bug.
> 
> So, just thought I'd let you know:
> 
>     Net-OpenID-Consumer-1.12, which depends on 
>     Net-OpenID-Common-1.13
> 
> were both uploaded to CPAN within the last few days.
> 
> These versions fix all currently outstanding bugs in -Consumer
> and, in particular, no longer have any dependence on Digest::SHA1.

Thanks for the heads up. I should be able to get these into Debian
at the weekend.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Tue, 08 Nov 2011 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Crew <crew@cs.stanford.edu>:
Extra info received and forwarded to list. Copy sent to Dominic Hargreaves <dom@earth.li>. (Tue, 08 Nov 2011 11:48:04 GMT) Full text and rfc822 format available.

Message #41 received at 636856@bugs.debian.org (full text, mbox):

From: Roger Crew <crew@cs.stanford.edu>
To: Dominic Hargreaves <dom@earth.li>, 636856@bugs.debian.org
Cc: Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#636856: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Tue, 8 Nov 2011 03:26:00 -0800
On Sat, 17 Sep 2011 10:52:22 +0100 Dominic Hargreaves wrote:
> On Sat, Sep 10, 2011 at 10:51:43AM +0200, Salvatore Bonaccorso wrote:
>> Is there something I could try to help, on this? It would be great to
>> have the libdigest-sha1-perl dependency droped. There are only few
>> packages remaining.
>
> I'm waiting for upstream action on
> <https://rt.cpan.org/Ticket/Display.html?id=44766>,
> which fixes this bug.

So, just thought I'd let you know:

    Net-OpenID-Consumer-1.12, which depends on 
    Net-OpenID-Common-1.13

were both uploaded to CPAN within the last few days.

These versions fix all currently outstanding bugs in -Consumer
and, in particular, no longer have any dependence on Digest::SHA1.

Enjoy.

-- 
Roger Crew
206.940.5732
crew@cs.stanford.edu, wrog@cpan.org




Information forwarded to debian-bugs-dist@lists.debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636856; Package src:libnet-openid-consumer-perl. (Wed, 09 Nov 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Dominic Hargreaves <dom@earth.li>. (Wed, 09 Nov 2011 08:33:04 GMT) Full text and rfc822 format available.

Message #46 received at 636856@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: Roger Crew <crew@cs.stanford.edu>, 636856@bugs.debian.org
Subject: Re: Bug#636856: libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop libdigest-sha1-perl
Date: Wed, 9 Nov 2011 09:32:19 +0100
[Message part 1 (text/plain, inline)]
Hi

On Tue, Nov 08, 2011 at 11:32:33AM +0000, Dominic Hargreaves wrote:
> On Tue, Nov 08, 2011 at 03:26:00AM -0800, Roger Crew wrote:
> > 
> > On Sat, 17 Sep 2011 10:52:22 +0100 Dominic Hargreaves wrote:
> > > On Sat, Sep 10, 2011 at 10:51:43AM +0200, Salvatore Bonaccorso wrote:
> > >> Is there something I could try to help, on this? It would be great to
> > >> have the libdigest-sha1-perl dependency droped. There are only few
> > >> packages remaining.
> > >
> > > I'm waiting for upstream action on
> > > <https://rt.cpan.org/Ticket/Display.html?id=44766>,
> > > which fixes this bug.
> > 
> > So, just thought I'd let you know:
> > 
> >     Net-OpenID-Consumer-1.12, which depends on 
> >     Net-OpenID-Common-1.13
> > 
> > were both uploaded to CPAN within the last few days.
> > 
> > These versions fix all currently outstanding bugs in -Consumer
> > and, in particular, no longer have any dependence on Digest::SHA1.
> 
> Thanks for the heads up. I should be able to get these into Debian
> at the weekend.

Thanks Roger and Dominic!

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sat, 12 Nov 2011 13:36:09 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 12 Nov 2011 13:36:09 GMT) Full text and rfc822 format available.

Message #51 received at 636856-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 636856-close@bugs.debian.org
Subject: Bug#636856: fixed in libnet-openid-consumer-perl 1.12-1
Date: Sat, 12 Nov 2011 13:32:09 +0000
Source: libnet-openid-consumer-perl
Source-Version: 1.12-1

We believe that the bug you reported is fixed in the latest version of
libnet-openid-consumer-perl, which is due to be installed in the Debian FTP archive:

libnet-openid-consumer-perl_1.12-1.debian.tar.gz
  to main/libn/libnet-openid-consumer-perl/libnet-openid-consumer-perl_1.12-1.debian.tar.gz
libnet-openid-consumer-perl_1.12-1.dsc
  to main/libn/libnet-openid-consumer-perl/libnet-openid-consumer-perl_1.12-1.dsc
libnet-openid-consumer-perl_1.12-1_all.deb
  to main/libn/libnet-openid-consumer-perl/libnet-openid-consumer-perl_1.12-1_all.deb
libnet-openid-consumer-perl_1.12.orig.tar.gz
  to main/libn/libnet-openid-consumer-perl/libnet-openid-consumer-perl_1.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated libnet-openid-consumer-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Nov 2011 13:24:37 +0000
Source: libnet-openid-consumer-perl
Binary: libnet-openid-consumer-perl
Architecture: source all
Version: 1.12-1
Distribution: unstable
Urgency: low
Maintainer: Dominic Hargreaves <dom@earth.li>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libnet-openid-consumer-perl - library for consumers of OpenID identities
Closes: 636856
Changes: 
 libnet-openid-consumer-perl (1.12-1) unstable; urgency=low
 .
   * Add Vcs-* fields
   * New upstream release
   * Update dependencies for new release (closes: #636856)
   * Update Standards-Version (no changes)
Checksums-Sha1: 
 3d9cc88c6dc86ee8c249158b3977e7038aa8534e 1534 libnet-openid-consumer-perl_1.12-1.dsc
 0b6d9b46128ec99b64e26e33db6eb7ed0744714c 56471 libnet-openid-consumer-perl_1.12.orig.tar.gz
 d10e873ad56e57479dee86cb2d49c241ad28c67d 2209 libnet-openid-consumer-perl_1.12-1.debian.tar.gz
 ff4babed11892d858792fd091c8e7e680f258407 61352 libnet-openid-consumer-perl_1.12-1_all.deb
Checksums-Sha256: 
 6a3d748241318c77a40e2c7462cfc87c213a928373813c1faa3506a8f5d375c1 1534 libnet-openid-consumer-perl_1.12-1.dsc
 37b8459058b425f3d5c56a08b6cfb82c6997d5f1bf48df0c9c0eeb203b087a12 56471 libnet-openid-consumer-perl_1.12.orig.tar.gz
 1f1fe50ec3bcaa6340c4ff1c04a507a447cbdb095d4570a16623f54ac22440ce 2209 libnet-openid-consumer-perl_1.12-1.debian.tar.gz
 9b1247cd03a9ed6cd54e094873a9cb7554a8f617c644fa0c776563eaef7c7f76 61352 libnet-openid-consumer-perl_1.12-1_all.deb
Files: 
 eb84c0747e209d175d6434aba209e02c 1534 perl optional libnet-openid-consumer-perl_1.12-1.dsc
 d39c232b1b39b9946cbccc2d6bd20c1b 56471 perl optional libnet-openid-consumer-perl_1.12.orig.tar.gz
 c5dcdb1b1b31fc8155849d13b9653f42 2209 perl optional libnet-openid-consumer-perl_1.12-1.debian.tar.gz
 112a994852d52f38dce42e3c4a1fc66d 61352 perl optional libnet-openid-consumer-perl_1.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOvnQxYzuFKFF44qURAmyqAJ9+I1oIGPyk3AlQy5dvKLyVUnVlgQCbBB3o
Oaj2bbQefn13ALoO+NzJBxw=
=HBwy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Dec 2011 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:59:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.